/* All Pages ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/

:root {
    --header-bg:#000000;
    --nav-bg:#000000;
    --article-bg:#000000;
    --border-color:#000000;
    --sidebar-text-color:#ffffff;
    --article-text-color:#000000;
    --article-heading-color:#000000;
    --darker-border-color:#000000;
    --page-bg: #000000;
  }
  
  @keyframes anicur {
    0% {
        cursor: url("./1.png"), auto;
    }
    5.2631% {
        cursor: url("./2.png"), auto;
    }
    10.5263% {
        cursor: url("./3.png"), auto;
    }
    15.7894% {
        cursor: url("./4.png"), auto;
    }
    21.0526% {
        cursor: url("./5.png"), auto;
    }
    26.3157% {
        cursor: url("./6.png"), auto;
    }
    31.5789% {
        cursor: url("./7.png"), auto;
    }
    36.8421% {
        cursor: url("./8.png"), auto;
    }
    42.1052% {
        cursor: url("./9.png"), auto;
    }
    47.3684% {
        cursor: url("./10.png"), auto;
    }
    52.6315% {
        cursor: url("./11.png"), auto;
    }
    57.8947% {
        cursor: url("./12.png"), auto;
    }
    63.1578% {
        cursor: url("./13.png"), auto;
    }
    68.4210% {
        cursor: url("./14.png"), auto;
    }
    73.6842% {
        cursor: url("./15.png"), auto;
    }
    78.9473% {
        cursor: url("./16.png"), auto;
    }
    89.4736% {
        cursor: url("./17.png"), auto;
    }
    94.7368% {
        cursor: url("./18.png"), auto;
    }
    100% {
        cursor: url("./19.png"), auto;
    }
    
}
* {
  color: white;
  image-rendering: crisp-edges;
}
a:visited {
  color: white;
}
a {
  color:white;
}
html, body {
  padding:0;
  margin:0;
  overflow-x: hidden;
  background: linear-gradient(rgb(2, 2, 2) 6%, rgb(8, 8, 8) 85%, rgb(15, 15, 15));
}
body {
  font-family: Arial;
  font-size:12px;
}
body a {
  color:var(--nav-link-color);
}

aside {
  width:100px;
}
.flex {
  display:flex;
  max-width:900px;
  padding-top: 20px;
  border:1px;
  border-style: outset;
  border-top-color: rgb(255, 255, 255);
  border-left-color: rgb(255, 255, 255);
  border-right-color: rgb(0, 0, 0);
  border-bottom-color: rgb(0, 0, 0);
}
header {
  max-height:200px;
  height:200px;
  background-repeat:repeat-y;
  background-size:600px;
  background-position:fixed;
}
main {
  width:100%;
}
.links {
  list-style-type: none;
  padding-left: 0;
}
.links li {
  background-color:var(--nav-bg);
  border:1px solid var(--border-color);
  margin-bottom:3px;
}
.links li a {
  text-decoration:none;
  color:inherit;
}
#gf_button {
  margin: 0;
  margin-left: 10px;
}
.left-sidebar {
  padding: 0;
  margin: 0;
  color:white;
}
.left-sidebar li {
  border: 1px outset;
  padding: 5px;
  margin-left: 10px;
  margin-top: 0;
}
footer {
  color: rgb(172, 172, 172);
  max-width:800px;
  text-align:center;
  width: 130px;
  padding: 3px;
  opacity: .5;
  margin: 10px;
  margin-top: 25px;
  border: 1px;
  border-style: outset;
  border-top-color: rgb(255, 255, 255);
  border-left-color: rgb(255, 255, 255);
  border-right-color: rgb(0, 0, 0);
  border-bottom-color: rgb(0, 0, 0);
} 
.article h1 {
  text-decoration: underline 1px;
}

/* toggle */
.toggle {
  color: white;
  border: 1px outset;
  position: fixed;
  bottom: -30;
  left: 0;
  opacity: 0;
  transition: .3s;
  padding-left: 7px;
  padding-right: 7px;
  margin: 3px;
  cursor: pointer;
  transition: .3s;
  border-top-color: white;
  border-right-color: black;
  border-left-color: white;
  border-bottom-color: black;
  font-size: 8pt;
  font-style: italic;
}
.toggle:hover {
  opacity: 1;
  transition: .3s;
  bottom: 0;
}
.active1 {
  border: 1px inset;
  border-top-color: black;
  border-right-color: white;
  border-left-color: black;
  border-bottom-color: white;
}
::selection {
  color: rgb(0, 0, 0); 
  background-color: #ffffff;
  mix-blend-mode: difference;
}
#other_drop {
  text-decoration: underline;
  cursor: pointer;
}
#content_drop {
  display: none;
  z-index: 999;
}
#content_drop.active {
  display: block;
  position: absolute;
  width: 88px;
}
.loading {
  background: transparent url("./loading.gif") center center no-repeat;
}







/* Home ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
/*Modal Div*/
@keyframes move {
  50% {opacity: .9;}
}
#tap {
  display: flex;
  align-items: center;
  position: absolute;
  bottom: -10%;
  width: 100%;
  opacity: .5;
}
#modal_container {
  cursor: pointer;
  background-color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top:0;
  left:0;
  height: 100%;
  width: 100%;
  opacity: .95;
  z-index: 100;
}
#move_div {
  width: 400px;
  height: 250px;
  z-index: 1000;
  position: absolute; 
  border: 1px outset;
  max-width: 100%;
  display: flex;
  align-items:center;
}
#gif_container {
  display: flex;
  margin-right: 5%; 
  margin-left: 3%;
  width: 40%;
}
#move_div_container {
  width: 60%;
  margin-left: auto; 
  margin-right: 10%;
  display: flex;
  align-items:center;
}
#move_div p {
  width: 100%;
  text-align: center;
  text-align: left;
  font-size: 10pt;
}

#move_divheader {
  padding: 10px;
  cursor: move;
  z-index: 1000;
  color: #fff;
  border: 1px outset;
  display: flex;
}
#exit {
  position: absolute;
  right: 1%;
  top: 1%;
  border: 1px outset;
  width: 10px;
  height: 10px;
  margin: auto;
  cursor: pointer;
  opacity: 0.7;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 7pt;
}
#modal_container.inactive {
  display: none;
  position: absolute;
  left: 100000;
}

/*Checkbox*/
.checkbox_container {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  position: absolute;
  bottom: -7%;
  width: 100%;
  padding: 0 1%;
  font-size: 7pt;
}
.checkbox_container label {
  color: #929292;
  cursor: pointer;
  display: flex;
  position:absolute;
  bottom: 0;
  right: 0;
  z-index: 10000;
}
.checkbox_container input[type='checkbox'] {
  cursor: pointer;
  opacity: 0;
  position: absolute;
}
.checkbox_container label::after {
  content: '';
  width: 1em;
  height: 1em;
  border: 1px inset;
  border-color: #929292;
  margin-left: .5em;

}
.checkbox_container label:hover::after, 
.checkbox_container input[type='checkbox']:hover + label::after{
  background-color: #494949;
}
.checkbox_container input[type='checkbox']:checked + label::after {
  content: '\002714';
  background-color: #000000;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}


/*Carousel*/
.carousel-container {
  width: 80%;
  margin: auto;
  position: relative;
  display: flex;
  flex-direction: column;
}
.carousel {
  background: linear-gradient( rgb(15, 15, 15), rgb(8, 8, 8) 15%,rgb(0, 0, 0) 94%);
  height: 560px;
  width: 100%;
  position: relative;
  overflow: hidden;
  border: 1px;
  border-style: inset;
  border-bottom-color: rgb(255, 255, 255);
  border-right-color: rgb(255, 255, 255);
  border-top-color: rgb(0, 0, 0);
  border-left-color: rgb(0, 0, 0);
  display: flex;
}

.item {

  display: none;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  transition: opacity 1s;
  position: relative;
}
.item img {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 90%;
  height: 90%;
  object-fit: contain;
  transform: translate(-50%, -50%);
}
.item.active {
  width: 100%;
  height: 100%;
  display: flex;
}

.caption {
  width: 100%;
  padding: 5px;
  position: absolute;
  bottom: 0;
  text-align: center;
  font-size: 9px;
  color: rgb(170, 170, 170);
  background: rgba(0,0,0,1);

  margin: 0;
  height: auto;
}


.btn {
  background-color: #adabab00;
  color: white;
  padding: 0;
  position: absolute;
  transform: translateY(-50%);
  top: 50%;
  outline: none;
  border: none;
  cursor: pointer;
  width: 25px;
  height: 48px;
  border: 1px inset;
}

.prev {
  left: -5%;
}

.next {
  right: -5%;
}

.dots {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 10px;
}

.dot {
  cursor: pointer;
  height: 24px;
  width: 24px;
  background-image: url(./just_led_off.png);
  transition: background-image 0.2s ease;
}

.dot.active,
.dot:hover {
  background-image: url(./just_led_on.png);
}





/* Gallery ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/

div.page {
  height: 560px;
  width: 600px;
  position: relative;
  top: 0;
}
.page.subpage {
  background-image: url(./about_page_bg_rep2.png);
  background-position: center;
  background-size: contain;
}
html {
  overflow-y: hidden;
  overflow-x: hidden;
}
.item2 {
  width: 98%;
  height: 120px;
  border: 1px outset;
  margin-bottom: 1%;
  margin-left: auto;
  display: flex;
  align-items: center;
  position: relative;
}

#gallery_link {
  text-decoration: none;
  display: flex;
  width: 100%;
}

#img_container {
  width: 120px;
  height: 120px;
  border-right: 1px inset;
  display: flex;
  align-items: center;
  justify-content: center;
}

#text_wrapper {
  flex: 1;
  padding: 10px;
  overflow: hidden;
  white-space: nowrap;
}
#top_wrapper {
  display: flex;
  justify-content: space-between;
}
#bottom_wrapper {
  position: absolute;
  bottom: 0;
  margin-bottom: 15px;
  text-align: left;
}
#title {
  font-size: 14pt;
  text-decoration: underline;
  max-width: calc(100% - 40px); /* Adjust the width as needed */
  overflow: hidden;
  text-overflow: ellipsis;
}
#year {
  font-size: 14pt;
  color:#bebebe;
}
#medium {
  margin-bottom: 10px;
  color:#bebebe;
}
#dimension {
  color:#bebebe;
}

#img_container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
#gallery main {
  display: flex;
  width: 720px;
  height: 586px;
  position: relative;
}
#gallery.container {
  width: 80%;
  margin: auto;
  position: relative;
  display: flex;
}
#gallery.page {
  width: 100%;
  position: relative;
  overflow: visible;
  border: 1px;
  border-style: inset;
  border-bottom-color: rgb(255, 255, 255);
  border-right-color: rgb(255, 255, 255);
  border-top-color: rgb(0, 0, 0);
  border-left-color: rgb(0, 0, 0);
  max-height: 100%;
  justify-content: flex-end;
  align-items: flex-start;
  overflow-y: auto;
  overflow-x: hidden;
}

#divider {
  width: 100%;
  height: 30px;
  border: 1px outset;
  margin: 0;
  display: flex;
  margin-bottom: 2%;
}
#gallery h1 {
  margin: 1;
  margin-left: 5;
}
::-webkit-scrollbar {
width: 5px;
background-color: #000000;
}
::-webkit-scrollbar-thumb {
background: #ffffff;
}


/* Gallery Subpages ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
#gallery2_heading {
  font-size: 25pt;
  padding: 15px;
  width: auto;
  border: 1px outset;
  background-color: #000000;
}
#gallery2_subheading {
  font-size: 18pt;
  color: #ffffff;
  border: 1px outset;
  border-color: #494949;
  width: 75%;
  padding: 5px 0;
  
}
#gallery2_subheading2 {
  font-size: 14pt;
  text-decoration: underline;
  margin-top: 3em;
}
#article_img {
  margin-left: auto;
  margin-right: auto;
  width: 75%;
  height: auto;
  margin: 10px;
  border: 1px dotted;
  border-color: #5c5c5c;
}
#textbox {
  width: 75%;
  text-align: left;
}
#gallery2_article {
  font-size: 12pt;
  line-height: 130%;
  color:#c9c9c9;
}
html {
  overflow-y: hidden;
  overflow-x: hidden;
}
#piano_link {
  font-size: 20pt;
}
/* About ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/


#about main {
  width:700px;
  position: relative;
  margin: auto;
  border: 1px outset;
  padding-bottom: 10px;
}
#about.container {
  max-width: 722px;
  color: white;
  display: flex;
  margin-bottom: 30px;
}
#about .image {
  margin: 20px;
  width: 47.5%;
  height: 47.5%;
  margin-left: 5%;
  margin-right: 2.5%;
}
#about .article {
  text-align: left;
  width: 47.5%;
  height: 47.5%;
  margin-right: 5%;
  margin-left: 2.5%;
  margin-top: 10px;
  padding-bottom: 5%;
}
div#about.image {
  width: 50%;
  height: auto;
}
div#about.article {
  width: 50%;
  height: auto;
  border: 1px inset;
  padding: 3%;
  margin-right: 2.5%;
}
.about_inside {
  display: flex;
}
.about_content {
  height: 560px; 
  border: 1px outset;
}
.about_nav {
  width: 50%;
  margin: auto;
}
.about_nav_button {
  border: 1px outset;
  margin-left: 5%;
  padding: 10px;
  width: 80%;
}
/* Statement ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
div#statement.article {
  width: 60%;
  position: relative;
  float: right;
}
div#statement.article p{
  width: 100%;
}
div.statement_button_container {
  width: 30%;
  position: relative;
  float: left;
  margin-top: 5%;
}
div.statement_button {
  padding: 10px;
  border: 1px inset;
  width: 30%;
  margin: auto;
}
/* Biography ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/

/* Contact ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/


.contact {
  width:700px;
  position: relative;
  margin: auto;
}



/* WIP ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/


#wip {
  width: 700px;
  height: 512px;
  background-image: url(./Flashing_sign_4.gif);
  padding: 0;
  margin: 0;
  background-repeat: calc();
}


/* Mobile ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
  

@media only screen and (max-width: 800px) {
  .flex {
    flex-wrap: wrap;
    padding: 5px;
    margin: 15px;
  }
  .left-sidebar, #gf_button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
  }
  aside {
    width: 100%;
    display: inline;
  }
  .links, #gf_button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
  }
  .links li, #gf_button {
    margin-right: 0px;
  }

  .prev {
    left: -10%;
  }
  .next {
    right: -10%;
  }
  #gf_button {
    margin: 0;
    margin-left: 10px;
    padding: 0;
    width:  auto;
    height: 29px;
  }
  #container {
    width: 100%;
  }
  header img {
    width: 90%;
    max-height: 200px;
    object-fit: contain;
  }
  header {
    width: 90%;
    height: auto;
  }
  html, body {
    width: 100%;
    height: auto;
  }

  .carousel {
    min-height: 100px;
    height: 300px;
}



  
  #gif1 {
    position: absolute;
    top: 25%;
    right: -7%;
    opacity: .2;
    image-rendering: crisp-edges;
  }
  #gif1 img {
    width: 45;
    height: 45;
    image-rendering: crisp-edges;
  }
  #gif2 {
    position: absolute;
    top: 50%;
    left: -15%;
    opacity: .15;
  }
  #gif2 img {
    width: 115px;
    height: 115px;
    
  }
  #gif3 {
    position: absolute;
    top: 76%;
    left: 10%;
    opacity: .2
  
  }
  /*Checkbox*/
  .checkbox_container {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    position: absolute;
    bottom: 0;
    width: 100%;
  }
  .checkbox_container label {
    font-size: 6pt;
    color: #929292;
    cursor: pointer;
    display: flex;
    position:absolute;
    margin: 1%;
    bottom: 0;
    right: 0;
    
  }
  .checkbox_container input[type='checkbox'] {
    cursor: pointer;
    opacity: 0;
    position: absolute;
  }
  .checkbox_container label::after {
    content: '';
    width: 1em;
    height: 1em;
    border: 1px inset;
    border-color: #929292;
    margin-left: .5em;
  
  }
  .checkbox_container label:hover::after, 
  .checkbox_container input[type='checkbox']:hover + label::after{
    background-color: #494949;
  }
  .checkbox_container input[type='checkbox']:checked + label::after {
    content: '\002714';
    background-color: #000000;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
  }

}

@media only screen and (max-width: 321px) {
  .links li {
    margin: 0;
    padding: 3;
  }
  #gf_button {
    margin: 0;
  }
  header {
    width: 90%;
    height: auto;
  }
  header img {
    width: 100%;
  }
  .caption {
    opacity: 0;
  }
}

